Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2025-11-11 The HDF5 Field Guide

- Main Page
- Getting started
- User Guide
- Reference Manual
- Cookbook
- Technical Notes
- RFCs
- Specifications
- Glossary
- Full-Text Search
- About

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Static Public Attributes
DSetMemXferPropList Class Reference

`#include <c++/src/H5DxferProp.h>`

## Detailed Description

Class DSetCreatPropList inherits from PropList and provides wrappers for the HDF5 dataset memory and transfer property list.

Inheritance diagram for DSetMemXferPropList:

## Public Member Functions
| DSetMemXferPropList ()
| DSetMemXferPropList (const char *expression)
| DSetMemXferPropList (const DSetMemXferPropList &orig)
| DSetMemXferPropList (const hid_t plist_id)
virtual H5std_string | fromClass () const override
| Returns this class name.
void | getBtreeRatios (double &left, double &middle, double &right) const
size_t | getBuffer (void **tconv, void **bkg) const
H5std_string | getDataTransform () const
ssize_t | getDataTransform (char *exp, size_t buf_size=0) const
H5Z_EDC_t | getEDCCheck () const
size_t | getHyperVectorSize () const
bool | getPreserve () const
hsize_t | getSmallDataBlockSize () const
void | getTypeConvCB (H5T_conv_except_func_t *op, void **user_data) const
void | getVlenMemManager (H5MM_allocate_t &alloc, void **alloc_info, H5MM_free_t &free, void **free_info) const
void | setBtreeRatios (double left, double middle, double right) const
void | setBuffer (size_t size, void *tconv, void *bkg) const
void | setDataTransform (const char *expression) const
void | setDataTransform (const H5std_string &expression) const
void | setEDCCheck (H5Z_EDC_t check) const
void | setHyperVectorSize (size_t vector_size) const
void | setPreserve (bool status) const
void | setSmallDataBlockSize (hsize_t size) const
void | setTypeConvCB (H5T_conv_except_func_t op, void *user_data) const
void | setVlenMemManager () const
void | setVlenMemManager (H5MM_allocate_t alloc, void *alloc_info, H5MM_free_t free, void *free_info) const
virtual | ~DSetMemXferPropList () override=default
Public Member Functions inherited from PropList
virtual void | close () override
void | closeClass () const
void | copy (const PropList &like_plist)
void | copyProp (PropList &dest, const char *name) const
void | copyProp (PropList &dest, const H5std_string &name) const
void | copyProp (PropList &dest, PropList &src, const char *name) const
void | copyProp (PropList &dest, PropList &src, const H5std_string &name) const
hid_t | getClass () const
H5std_string | getClassName () const
PropList | getClassParent () const
virtual hid_t | getId () const override
size_t | getNumProps () const
H5std_string | getProperty (const char *name) const
void | getProperty (const char *name, void *value) const
H5std_string | getProperty (const H5std_string &name) const
void | getProperty (const H5std_string &name, void *value) const
size_t | getPropSize (const char *name) const
size_t | getPropSize (const H5std_string &name) const
bool | isAClass (const PropList &prop_class) const
PropList & | operator= (const PropList &rhs)
bool | operator== (const PropList &rhs) const
bool | propExist (const char *name) const
| Query the existence of a property in a property object.
bool | propExist (const H5std_string &name) const
| PropList ()
| PropList (const hid_t plist_id)
| PropList (const PropList &original)
void | removeProp (const char *name) const
void | removeProp (const H5std_string &name) const
void | setProperty (const char *name, const char *charptr) const
void | setProperty (const char *name, const H5std_string &strg) const
void | setProperty (const char *name, const void *value) const
void | setProperty (const char *name, H5std_string &strg) const
void | setProperty (const char *name, void *value) const
void | setProperty (const H5std_string &name, const H5std_string &strg) const
void | setProperty (const H5std_string &name, const void *value) const
void | setProperty (const H5std_string &name, H5std_string &strg) const
void | setProperty (const H5std_string &name, void *value) const
virtual | ~PropList () override
Public Member Functions inherited from IdComponent
void | decRefCount () const
void | decRefCount (const hid_t obj_id) const
int | getCounter () const
int | getCounter (const hid_t obj_id) const
H5I_type_t | getHDFObjType () const
void | incRefCount () const
void | incRefCount (const hid_t obj_id) const
H5std_string | inMemFunc (const char *func_name) const
IdComponent & | operator= (const IdComponent &rhs)
void | setId (const hid_t new_id)
virtual | ~IdComponent ()=default

## Static Public Member Functions
static void | deleteConstants ()
Static Public Member Functions inherited from PropList
static void | deleteConstants ()
Static Public Member Functions inherited from IdComponent
static H5I_type_t | getHDFObjType (const hid_t obj_id)
static hsize_t | getNumMembers (H5I_type_t type)
static bool | isValid (hid_t an_id)
static bool | typeExists (H5I_type_t type)

## Static Public Attributes
static const DSetMemXferPropList & | DEFAULT
| Default dataset memory and transfer property list.
Static Public Attributes inherited from PropList
static const PropList & | DEFAULT
| Default property list.

## Additional Inherited Members
Protected Member Functions inherited from PropList
virtual void | p_setId (const hid_t new_id) override
Protected Member Functions inherited from IdComponent
| IdComponent ()
H5std_string | p_get_file_name () const
Static Protected Member Functions inherited from IdComponent
static bool | p_valid_id (const hid_t obj_id)
Protected Attributes inherited from PropList
hid_t | id
Static Protected Attributes inherited from IdComponent
static bool | H5dontAtexit_called

## Constructor & Destructor Documentation

## ◆ DSetMemXferPropList() [1/4]

DSetMemXferPropList | ( |  | ) |

## ◆ DSetMemXferPropList() [2/4]

DSetMemXferPropList | ( | const char * | expression | ) |

## ◆ DSetMemXferPropList() [3/4]

DSetMemXferPropList | ( | const DSetMemXferPropList & | orig | ) |

## ◆ DSetMemXferPropList() [4/4]

DSetMemXferPropList | ( | const hid_t | plist_id | ) |

## ◆ ~DSetMemXferPropList()

virtual ~DSetMemXferPropList | ( |  | ) |
| override virtual default

## Member Function Documentation

## ◆ deleteConstants()

static void deleteConstants | ( |  | ) |
| static

## ◆ fromClass()

virtual H5std_string fromClass | ( |  | ) | const
| override virtual

Returns this class name.

Reimplemented from PropList.

## ◆ getBtreeRatios()

void getBtreeRatios | ( | double & | left,
|  | double & | middle,
|  | double & | right ) const

## ◆ getBuffer()

size_t getBuffer | ( | void ** | tconv,
|  | void ** | bkg ) const

## ◆ getDataTransform() [1/2]

H5std_string getDataTransform | ( |  | ) | const

## ◆ getDataTransform() [2/2]

ssize_t getDataTransform | ( | char * | exp,
|  | size_t | buf_size = 0 ) const

## ◆ getEDCCheck()

H5Z_EDC_t getEDCCheck | ( |  | ) | const

## ◆ getHyperVectorSize()

size_t getHyperVectorSize | ( |  | ) | const

## ◆ getPreserve()

bool getPreserve | ( |  | ) | const

## ◆ getSmallDataBlockSize()

hsize_t getSmallDataBlockSize | ( |  | ) | const

## ◆ getTypeConvCB()

void getTypeConvCB | ( | H5T_conv_except_func_t * | op,
|  | void ** | user_data ) const

## ◆ getVlenMemManager()

void getVlenMemManager | ( | H5MM_allocate_t & | alloc,
|  | void ** | alloc_info,
|  | H5MM_free_t & | free,
|  | void ** | free_info ) const

## ◆ setBtreeRatios()

void setBtreeRatios | ( | double | left,
|  | double | middle,
|  | double | right ) const

## ◆ setBuffer()

void setBuffer | ( | size_t | size,
|  | void * | tconv,
|  | void * | bkg ) const

## ◆ setDataTransform() [1/2]

void setDataTransform | ( | const char * | expression | ) | const

## ◆ setDataTransform() [2/2]

void setDataTransform | ( | const H5std_string & | expression | ) | const

## ◆ setEDCCheck()

void setEDCCheck | ( | H5Z_EDC_t | check | ) | const

## ◆ setHyperVectorSize()

void setHyperVectorSize | ( | size_t | vector_size | ) | const

## ◆ setPreserve()

void setPreserve | ( | bool | status | ) | const

## ◆ setSmallDataBlockSize()

void setSmallDataBlockSize | ( | hsize_t | size | ) | const

## ◆ setTypeConvCB()

void setTypeConvCB | ( | H5T_conv_except_func_t | op,
|  | void * | user_data ) const

## ◆ setVlenMemManager() [1/2]

void setVlenMemManager | ( |  | ) | const

## ◆ setVlenMemManager() [2/2]

void setVlenMemManager | ( | H5MM_allocate_t | alloc,
|  | void * | alloc_info,
|  | H5MM_free_t | free,
|  | void * | free_info ) const

## Field Documentation

## ◆ DEFAULT

const DSetMemXferPropList& DEFAULT
| static

Default dataset memory and transfer property list.

The documentation for this class was generated from the following file:

- c++/src/H5DxferProp.h